Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.config.version
Class Versioning

    java.lang.Object
      org.maltparser.core.config.version.Versioning

    public class Versioning

extends Object

Field Summary
`static String[]` | `availableVersions`
`static boolean[]` | `supportVersions`

Constructor Summary
`Versioning(String configName, String configType, File mcoPath, String parserModelVersion)`

Method Summary
`boolean` | `earlierVersion(String version)`
`String` | `getConfigName()`
`String` | `getConfigType()`
`String` | `getFeatureModelXML()`
`String` | `getInputFormatXML()`
`JarEntry` | `getJarEntry(JarEntry in)`
`String` | `getMaltParserVersion()`
`File` | `getMcoPath()`
`String` | `getNewConfigName()`
`String` | `getParserModelVersion()`
`boolean` | `hasChanges(JarEntry in, JarEntry out)`
`String` | `modifyJarEntry(JarEntry in, JarEntry out, StringBuilder sb)`
`void` | `setConfigName(String configName)`
`void` | `setConfigType(String configType)`
`void` | `setFeatureModelXML(String featureModelXML)`
`void` | `setInputFormatXML(String inputFormatXML)`
`void` | `setMaltParserVersion(String maltParserVersion)`
`void` | `setMcoPath(File mcoPath)`
`void` | `setNewConfigName(String newConfigName)`
`void` | `setParserModelVersion(String parserModelVersion)`
`boolean` | `support(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### availableVersions

    public static String[] availableVersions

### supportVersions

    public static boolean[] supportVersions

Constructor Detail

### Versioning

    public Versioning(String configName,
                      String configType,
                      File mcoPath,
                      String parserModelVersion)

Method Detail

### getJarEntry

    public JarEntry getJarEntry(JarEntry in)

### hasChanges

    public boolean hasChanges(JarEntry in,
                              JarEntry out)

### modifyJarEntry

    public String modifyJarEntry(JarEntry in,
                                 JarEntry out,
                                 StringBuilder sb)

### earlierVersion

    public boolean earlierVersion(String version)

### support

    public boolean support(String version)

### getFeatureModelXML

    public String getFeatureModelXML()

### setFeatureModelXML

    public void setFeatureModelXML(String featureModelXML)

### getInputFormatXML

    public String getInputFormatXML()

### setInputFormatXML

    public void setInputFormatXML(String inputFormatXML)

### getNewConfigName

    public String getNewConfigName()

### setNewConfigName

    public void setNewConfigName(String newConfigName)

### getConfigName

    public String getConfigName()

### setConfigName

    public void setConfigName(String configName)

### getConfigType

    public String getConfigType()

### setConfigType

    public void setConfigType(String configType)

### getMcoPath

    public File getMcoPath()

### setMcoPath

    public void setMcoPath(File mcoPath)

### getMaltParserVersion

    public String getMaltParserVersion()

### setMaltParserVersion

    public void setMaltParserVersion(String maltParserVersion)

### getParserModelVersion

    public String getParserModelVersion()

### setParserModelVersion

    public void setParserModelVersion(String parserModelVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.